head	1.2;
access;
symbols
	netbsd-11-0-RC6:1.2
	netbsd-11-0-RC5:1.2
	netbsd-11-0-RC4:1.2
	netbsd-11-0-RC3:1.2
	netbsd-11-0-RC2:1.2
	netbsd-11-0-RC1:1.2
	perseant-exfatfs-base-20250801:1.2
	netbsd-11:1.2.0.4
	netbsd-11-base:1.2
	netbsd-10-1-RELEASE:1.1
	perseant-exfatfs-base-20240630:1.2
	perseant-exfatfs:1.2.0.2
	perseant-exfatfs-base:1.2
	netbsd-10-0-RELEASE:1.1
	netbsd-10-0-RC6:1.1
	netbsd-10-0-RC5:1.1
	netbsd-10-0-RC4:1.1
	netbsd-10-0-RC3:1.1
	netbsd-10-0-RC2:1.1
	netbsd-10-0-RC1:1.1
	netbsd-10:1.1.0.10
	netbsd-10-base:1.1
	cjep_sun2x-base1:1.1
	cjep_sun2x:1.1.0.8
	cjep_sun2x-base:1.1
	cjep_staticlib_x-base1:1.1
	cjep_staticlib_x:1.1.0.6
	cjep_staticlib_x-base:1.1
	phil-wifi-20200421:1.1
	phil-wifi-20200411:1.1
	phil-wifi:1.1.0.4
	is-mlppp:1.1.0.2
	is-mlppp-base:1.1
	phil-wifi-20200406:1.1;
locks; strict;
comment	@# @;


1.2
date	2024.01.27.15.53.57;	author christos;	state Exp;
branches;
next	1.1;
commitid	h9BNPrsMeR4tt6WE;

1.1
date	2019.11.27.19.00.25;	author christos;	state Exp;
branches
	1.1.4.1;
next	;
commitid	eGIrJNFswULCqwMB;

1.1.4.1
date	2019.11.27.19.00.25;	author martin;	state dead;
branches;
next	1.1.4.2;
commitid	Qli2aW9E74UFuA3C;

1.1.4.2
date	2020.04.08.14.07.23;	author martin;	state Exp;
branches;
next	;
commitid	Qli2aW9E74UFuA3C;


desc
@@


1.2
log
@fix quotes
@
text
@#!/bin/sh
# $NetBSD: import,v 1.1 2019/11/27 19:00:25 christos Exp $
#
# Simple shell script to import the newest version of terminfo
# Download it from ftp://ftp.invisible-island.net/ncurses/current

input=$1
case "${input}" in 
terminfo-[0-9]*.src)
	;;
*)
	echo "$0: Invalid input file name" 1>&2
	exit 1
	;;
esac

tag=${input%%.src}
vendor=NCURSES

TMP=$(mktemp -d /tmp/import-terminfo)
trap "rm -fr ${TMP}" 0 1 2 15

cp "$1" "${TMP}/terminfo"
cd "${TMP}"
cleantags terminfo
cvs -d cvs.netbsd.org:/cvsroot import \
	-m "Import $1" src/share/terminfo "${vendor}" "${tag}"
@


1.1
log
@simple import script
@
text
@d2 1
a2 1
# $NetBSD$
d21 1
a21 1
trap rm -fr "${TMP}" 0 1 2 15
@


1.1.4.1
log
@file import was added on branch phil-wifi on 2020-04-08 14:07:23 +0000
@
text
@d1 27
@


1.1.4.2
log
@Merge changes from current as of 20200406
@
text
@a0 27
#!/bin/sh
# $NetBSD$
#
# Simple shell script to import the newest version of terminfo
# Download it from ftp://ftp.invisible-island.net/ncurses/current

input=$1
case "${input}" in 
terminfo-[0-9]*.src)
	;;
*)
	echo "$0: Invalid input file name" 1>&2
	exit 1
	;;
esac

tag=${input%%.src}
vendor=NCURSES

TMP=$(mktemp -d /tmp/import-terminfo)
trap rm -fr "${TMP}" 0 1 2 15

cp "$1" "${TMP}/terminfo"
cd "${TMP}"
cleantags terminfo
cvs -d cvs.netbsd.org:/cvsroot import \
	-m "Import $1" src/share/terminfo "${vendor}" "${tag}"
@


